? autom4te.cache
? confdefs.h
? diff
? ktrace.out
? config/.config.mk.swp
? nsprpub/autom4te.cache
? security/coreconf/DragonFly.mk
? security/coreconf/DragonFly1.3.5-DEVELOPMENT.mk
Index: configure.in
===================================================================
RCS file: /cvsroot/mozilla/configure.in,v
retrieving revision 1.1530
diff -u -p -r1.1530 configure.in
--- configure.in	16 Sep 2005 02:25:34 -0000	1.1530
+++ configure.in	22 Sep 2005 17:36:31 -0000
@@ -1377,6 +1377,17 @@ case "$target" in
 #    fi
     ;; 
 
+*-dragonfly*)
+    if test `test -x /usr/bin/objformat && /usr/bin/objformat || echo aout` != "elf"; then
+	DLL_SUFFIX=".so.1.0"
+	DSO_LDOPTS="-shared"
+    fi
+    if test ! "$GNU_CC"; then
+	DSO_LDOPTS="-Bshareable $DSO_LDOPTS"
+    fi
+    ;; 
+
+
 *-hpux*)
     DLL_SUFFIX=".sl"
     if test ! "$GNU_CC"; then
@@ -2414,7 +2425,7 @@ dnl Checks for header files.
 dnl ========================================================
 AC_HEADER_DIRENT
 case "$target_os" in
-freebsd*)
+freebsd* | dragonfly*)
 # for stuff like -lXshm
     CPPFLAGS="${CPPFLAGS} ${X_CFLAGS}"
     ;;
@@ -2627,7 +2638,7 @@ then
 		if test -z "`egrep -i '(unrecognize|unknown)' conftest.out | grep pthread`" && test -z "`egrep -i '(error|incorrect)' conftest.out`" ; then
 			ac_cv_have_dash_pthread=yes
 	        case "$target_os" in
-	        freebsd*)
+	        freebsd* | dragonfly*)
 # Freebsd doesn't use -pthread for compiles, it uses them for linking
                 ;;
 	        *)
@@ -2660,7 +2671,7 @@ then
     fi
 
 	case "$target" in
-	    *-*-freebsd*)
+	    *-*-freebsd* | *-*-dragonfly*)
 			AC_DEFINE(_REENTRANT)
 			AC_DEFINE(_THREAD_SAFE)
 			dnl -pthread links in -lc_r, so don't specify it explicitly.
Index: config/config.mk
===================================================================
RCS file: /cvsroot/mozilla/config/config.mk,v
retrieving revision 3.337
diff -u -p -r3.337 config.mk
--- config/config.mk	28 Jul 2005 19:48:11 -0000	3.337
+++ config/config.mk	22 Sep 2005 17:36:35 -0000
@@ -145,6 +145,7 @@ FINAL_LINK_COMP_NAMES = $(DEPTH)/config/
 NSS_LIBS	= \
 	$(LIBS_DIR) \
 	$(DIST)/lib/$(LIB_PREFIX)crmf.$(LIB_SUFFIX) \
+	 -Wl,--rpath -Wl,/usr/obj/mozilla/dist/lib/ \
 	-lsmime3 \
 	-lssl3 \
 	-lnss3 \
Index: config/mkdepend/imakemdep.h
===================================================================
RCS file: /cvsroot/mozilla/config/mkdepend/imakemdep.h,v
retrieving revision 3.3
diff -u -p -r3.3 imakemdep.h
--- config/mkdepend/imakemdep.h	20 Apr 2004 21:38:14 -0000	3.3
+++ config/mkdepend/imakemdep.h	22 Sep 2005 17:36:35 -0000
@@ -235,7 +235,8 @@ in this Software without prior written a
 #ifdef _CRAY
 #define DEFAULT_CPP "/lib/pcpp"
 #endif
-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__)
+#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) \
+    || defined(__DragonFly__)
 #define DEFAULT_CPP "/usr/libexec/cpp"
 #endif
 #ifdef	MACH
@@ -273,7 +274,8 @@ char *cpp_argv[ARGUMENTS] = {
 #ifdef unix
 	"-Uunix",	/* remove unix symbol so that filename unix.c okay */
 #endif
-#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH)
+#if defined(__386BSD__) || defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(MACH) \
+    || defined(__DragonFly__)
 # ifdef __i386__
 	"-D__i386__",
 # endif
@@ -716,6 +718,9 @@ struct symtab	predefs[] = {
 #ifdef __FreeBSD__
 	{"__FreeBSD__", "1"},
 #endif
+#ifdef __DragonFly__
+	{"__FreeBSD__", "1"},
+#endif
 #ifdef __NetBSD__
 	{"__NetBSD__", "1"},
 #endif
Index: extensions/transformiix/source/base/Double.cpp
===================================================================
RCS file: /cvsroot/mozilla/extensions/transformiix/source/base/Double.cpp,v
retrieving revision 1.26
diff -u -p -r1.26 Double.cpp
--- extensions/transformiix/source/base/Double.cpp	17 Jun 2004 00:12:42 -0000	1.26
+++ extensions/transformiix/source/base/Double.cpp	22 Sep 2005 17:36:46 -0000
@@ -50,7 +50,7 @@
  */
 
 //A trick to handle IEEE floating point exceptions on FreeBSD - E.D.
-#ifdef __FreeBSD__
+#if defined(__FreeBSD__) || defined(__DragonFly__)
 #include <ieeefp.h>
 #ifdef __alpha__
 fp_except_t allmask = FP_X_INV|FP_X_OFL|FP_X_UFL|FP_X_DZ|FP_X_IMP;
Index: nsprpub/configure.in
===================================================================
RCS file: /cvsroot/mozilla/nsprpub/configure.in,v
retrieving revision 1.83.2.113
diff -u -p -r1.83.2.113 configure.in
--- nsprpub/configure.in	14 Sep 2005 23:43:01 -0000	1.83.2.113
+++ nsprpub/configure.in	22 Sep 2005 17:37:04 -0000
@@ -600,6 +600,10 @@ if test "$OS_ARCH" = "FreeBSD"; then
     OS_RELEASE=`echo $OS_RELEASE | sed 's/-.*//'`
 fi
 
+if test "$OS_ARCH" = "DragonFly"; then
+	OS_RELEASE=`echo $OS_RELEASE | sed 's/-.*//'`
+fi
+
 if test "$OS_ARCH" = "Linux"; then
     OS_RELEASE=`echo $OS_RELEASE | sed 's/-.*//'`
     OS_RELEASE=`echo $OS_RELEASE | awk -F\. '{ print $1 "." $2 }'`
@@ -1047,6 +1051,31 @@ case "$target" in
     PR_MD_CSRCS=freebsd.c
     ;;
 
+*-dragonfly*)
+    if test -z "$USE_NSPR_THREADS"; then
+        USE_PTHREADS=1
+    fi
+    AC_DEFINE(XP_UNIX)
+    AC_DEFINE(FREEBSD)
+    AC_DEFINE(HAVE_BSD_FLOCK)
+    AC_DEFINE(HAVE_SOCKLEN_T)
+    CFLAGS="$CFLAGS $(DSO_CFLAGS) -ansi -Wall"
+    MOZ_OBJFORMAT=`test -x /usr/bin/objformat && /usr/bin/objformat || echo aout`
+    if test "$MOZ_OBJFORMAT" = "elf"; then
+        DLL_SUFFIX=so
+    else
+        DLL_SUFFIX=so.1.0
+    fi
+    MKSHLIB='$(CC) $(DSO_LDOPTS) -o $@'
+    DSO_CFLAGS='-fPIC'
+    DSO_LDOPTS='-shared -Wl,-soname -Wl,$(notdir $@)'
+    MDCPUCFG_H=_freebsd.cfg
+    PR_MD_CSRCS=freebsd.c
+    if test "$LIBRUNPATH"; then
+        DSO_LDOPTS="$DSO_LDOPTS -Wl,-R$LIBRUNPATH"
+    fi
+    ;;
+
 *-hpux*)
     AC_DEFINE(XP_UNIX)
     AC_DEFINE(HPUX)
@@ -2314,7 +2343,7 @@ if test -n "$USE_PTHREADS"; then
 	if test -z "`egrep -i '(unrecognize|unknown)' conftest.out | grep pthread`" && test -z "`egrep -i '(error|incorrect)' conftest.out`" ; then
 	    ac_cv_have_dash_pthread=yes
 		case "$target_os" in
-	    freebsd*)
+	    freebsd* | dragonfly*)
 # Freebsd doesn't use -pthread for compiles, it uses them for linking
             ;;
 	    *)
@@ -2352,7 +2381,7 @@ if test -n "$USE_PTHREADS"; then
             _PTHREAD_LDFLAGS=
         fi
 	    ;;
-    *-freebsd*)
+    *-freebsd* | *-dragonfly*)
 	    AC_DEFINE(_REENTRANT)
 	    AC_DEFINE(_THREAD_SAFE)
 	    dnl -pthread links in -lc_r, so don't specify it explicitly.
@@ -2433,7 +2462,7 @@ case "$target" in
         AC_DEFINE(_PR_NEED_PTHREAD_INIT)
     fi
     ;;
-*-freebsd*)
+*-freebsd* | *-dragonfly*)
     if test -n "$USE_NSPR_THREADS"; then
         AC_DEFINE(_PR_LOCAL_THREADS_ONLY)
     fi
Index: nsprpub/pr/include/md/_freebsd.h
===================================================================
RCS file: /cvsroot/mozilla/nsprpub/pr/include/md/_freebsd.h,v
retrieving revision 3.13.4.8
diff -u -p -r3.13.4.8 _freebsd.h
--- nsprpub/pr/include/md/_freebsd.h	23 Nov 2004 21:22:35 -0000	3.13.4.8
+++ nsprpub/pr/include/md/_freebsd.h	22 Sep 2005 17:37:08 -0000
@@ -79,7 +79,7 @@
 #define _PR_NO_LARGE_FILES
 
 #if defined(_PR_PTHREADS)
-#if __FreeBSD_version >= 400008
+#if defined(__DragonFly__) || __FreeBSD_version >= 400008
 /*
  * libc_r before this version of FreeBSD doesn't have poll().
  * Although libc has poll(), it is not thread-safe so we can't
@@ -88,7 +88,7 @@
 #define _PR_POLL_AVAILABLE
 #endif
 #else
-#if __FreeBSD_version >= 300000
+#if defined(__DragonFly__) || __FreeBSD_version >= 300000
 #define _PR_POLL_AVAILABLE
 #define _PR_USE_POLL
 #endif
@@ -97,7 +97,7 @@
 #define _PR_HAVE_SYSV_SEMAPHORES
 #define PR_HAVE_SYSV_NAMED_SHARED_MEMORY
 
-#if __FreeBSD_version >= 400014
+#if defined(__DragonFly__) || __FreeBSD_version >= 400014
 #define _PR_INET6
 #define _PR_HAVE_INET_NTOP
 #define _PR_HAVE_GETHOSTBYNAME2
Index: security/nss/cmd/platlibs.mk
===================================================================
RCS file: /cvsroot/mozilla/security/nss/cmd/platlibs.mk,v
retrieving revision 1.39
diff -u -p -r1.39 platlibs.mk
--- security/nss/cmd/platlibs.mk	6 Apr 2005 21:35:41 -0000	1.39
+++ security/nss/cmd/platlibs.mk	22 Sep 2005 17:37:10 -0000
@@ -219,6 +219,7 @@ endif
 # $(EXTRA_SHARED_LIBS) come before $(OS_LIBS), except on AIX.
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib \
+	-Wl,--rpath -Wl,/usr/obj/mozilla/dist/lib/ \
 	-lssl3 \
 	-lsmime3 \
 	-lnss3 \
Index: security/nss/cmd/pkiutil/platlibs.mk
===================================================================
RCS file: /cvsroot/mozilla/security/nss/cmd/pkiutil/platlibs.mk,v
retrieving revision 1.2
diff -u -p -r1.2 platlibs.mk
--- security/nss/cmd/pkiutil/platlibs.mk	25 Apr 2004 15:02:51 -0000	1.2
+++ security/nss/cmd/pkiutil/platlibs.mk	22 Sep 2005 17:37:11 -0000
@@ -48,6 +48,7 @@ endif
 # $(EXTRA_SHARED_LIBS) come before $(OS_LIBS), except on AIX.
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib/ \
+	-Wl,--rpath -Wl,/usr/obj/mozilla/dist/lib/ \
 	-lnsspki3 \
 	-lnss3 \
 	-lplc4 \
Index: security/nss/lib/smime/config.mk
===================================================================
RCS file: /cvsroot/mozilla/security/nss/lib/smime/config.mk,v
retrieving revision 1.20
diff -u -p -r1.20 config.mk
--- security/nss/lib/smime/config.mk	25 May 2004 00:13:09 -0000	1.20
+++ security/nss/lib/smime/config.mk	22 Sep 2005 17:37:12 -0000
@@ -49,6 +49,7 @@ RESNAME = smime.rc
 ifdef NS_USE_GCC
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib \
+	-Wl,--rpath -Wl,/usr/obj/mozilla/dist/lib/ \
 	-lnss3 \
 	-lplc4 \
 	-lplds4 \
Index: security/nss/lib/ssl/config.mk
===================================================================
RCS file: /cvsroot/mozilla/security/nss/lib/ssl/config.mk,v
retrieving revision 1.18
diff -u -p -r1.18 config.mk
--- security/nss/lib/ssl/config.mk	25 May 2004 00:13:12 -0000	1.18
+++ security/nss/lib/ssl/config.mk	22 Sep 2005 17:37:12 -0000
@@ -51,6 +51,7 @@ RESNAME = ssl.rc
 ifdef NS_USE_GCC
 EXTRA_SHARED_LIBS += \
 	-L$(DIST)/lib \
+	-Wl,--rpath -Wl,/usr/obj/mozilla/dist/lib/ \
 	-lnss3 \
 	-lplc4 \
 	-lplds4 \
Index: toolkit/xre/nsAppRunner.cpp
===================================================================
RCS file: /cvsroot/mozilla/toolkit/xre/nsAppRunner.cpp,v
retrieving revision 1.117
diff -u -p -r1.117 nsAppRunner.cpp
--- toolkit/xre/nsAppRunner.cpp	1 Sep 2005 20:59:50 -0000	1.117
+++ toolkit/xre/nsAppRunner.cpp	22 Sep 2005 17:37:17 -0000
@@ -2376,5 +2376,6 @@ XRE_main(int argc, char* argv[], const n
     return rv == NS_ERROR_LAUNCHED_CHILD_PROCESS ? 0 : 1;
   }
 
+  printf("EXIT!! %d\n", rv);
   return NS_FAILED(rv) ? 1 : 0;
 }
Index: xpcom/io/nsLocalFileUnix.h
===================================================================
RCS file: /cvsroot/mozilla/xpcom/io/nsLocalFileUnix.h,v
retrieving revision 1.24
diff -u -p -r1.24 nsLocalFileUnix.h
--- xpcom/io/nsLocalFileUnix.h	18 Apr 2004 14:18:14 -0000	1.24
+++ xpcom/io/nsLocalFileUnix.h	22 Sep 2005 17:37:18 -0000
@@ -73,7 +73,7 @@
 #endif
 
 // so we can statfs on freebsd
-#if defined(__FreeBSD__)
+#if defined(__FreeBSD__) || defined(__DragonFly__)
     #define HAVE_SYS_STATFS_H
     #define STATFS statfs
     #include <sys/param.h>
Index: xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h
===================================================================
RCS file: /cvsroot/mozilla/xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h,v
retrieving revision 1.18
diff -u -p -r1.18 xptc_platforms_unixish_x86.h
--- xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h	18 Apr 2004 14:18:18 -0000	1.18
+++ xpcom/reflect/xptcall/src/md/unix/xptc_platforms_unixish_x86.h	22 Sep 2005 17:37:19 -0000
@@ -77,7 +77,7 @@
 #define THUNK_BASED_THIS_ADJUST
 #endif
 
-#elif defined(__FreeBSD__) 
+#elif defined(__FreeBSD__) || defined(__DragonFly__)
 /* System versions of gcc on FreeBSD don't use thunks.  On 3.x, the system
  * compiler is gcc 2.7.2.3, which doesn't use thunks by default.  On 4.x and
  * 5.x, /usr/src/contrib/gcc/config/freebsd.h explicitly undef's
@@ -95,9 +95,9 @@
  * can also identify versions that use thunks. This includes some 4.x versions
  * and now newer 5.x versions.
  */
-#if defined(__FreeBSD_cc_version) && \
+#if (defined(__FreeBSD_cc_version) && \
     (__FreeBSD_cc_version < 500003) && \
-    (__FreeBSD_cc_version < 400002 || __FreeBSD_cc_version > 400003)
+    (__FreeBSD_cc_version < 400002 || __FreeBSD_cc_version > 400003))
 #define CFRONT_STYLE_THIS_ADJUST
 #else
 #define THUNK_BASED_THIS_ADJUST
